# Restore a file Restores a previously archived file to its RESTORED status. Once a file is archived, it cannot be used directly until the file is restored using this API. ### Notes - This API operation will fail if the count of restored files exceeds the quota limit (1000 by default) in the past 24 hours. - The actual restoration process may take between 12 to 48 hours to complete. - You can monitor the status of the file restoration process using the Retrieve file status API operation until the status transitions to RESTORED. Endpoint: PUT /v1/files/{file-id}/restore Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `file-id` (string, required) The Zuora ID of the file to restore. ## Response 200 fields (application/json): - `success` (boolean) Returns true if the request was processed successfully. Returns false if the quota limit is exceeded, and you will see an error message in the response body. For example, "Your file restoration request can not be processed currently due to reaching the maximum daily limit of 1000 files as of 2024-04-01 14:12. Please wait for the limit to be refreshed or reach out to Zuora support if the request is urgent." In such cases, wait for a limit refresh or submit a request at [Zuora Global Support](https://support.zuora.com/). - `fileId` (string) The unique ID of the file. - `status` (string) The status of the file restore operation. Enum: "ACTIVE", "ARCHIVING", "ARCHIVED", "RESTORE_ACCEPTED", "RESTORE_IN_PROGRESS", "RESTORED" ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.